<% if @network_tracker.present? %>
    $('#meeting-info').empty().html("<%= escape_javascript(render partial: 'show', locals: { :'@network_tracker' => @network_tracker }) %>")
    $('#meeting-info').modal('show')
<% else %>
<% end %>

$('.appt_date').datepicker({
    format: "mm/dd/yyyy",
    startDate: date,
});
$('.start_time').on('focus', function(){
    console.log("======focus=========");
    $('.start_time').timepicker({ defaultTime: '12:00 am', placeholder: 'Select Time'});
})
$('.end_time').on('focus', function(){
    console.log("======focus=========");
    $('.end_time').timepicker({ defaultTime: '12:15 am', placeholder: 'Select Time'});
})
function minFromMidnight(tm){
 var ampm= tm.substr(-2)
 var clk = tm.substr(0, 5);
 var m  = parseInt(clk.match(/\d+$/)[0], 10);
 var h  = parseInt(clk.match(/^\d+/)[0], 10);
 h += (ampm.match(/pm/i))? 12: 0;
 return h*60+m;
}
if($('.start_time').hasClass('error') || $('.end_time').hasClass('error')){
    $('.save_meeting').off('click')
    $('.save_meeting').addClass('disabled')
}
$('.save_meeting').on('click', function(){
    if($('.network_tracker_form').valid()){
        $('.network_tracker_form').submit();
    }
})
$( ".select_company" ).select2({
    // theme: "bootstrap"
    placeholder: 'Select Company',
    tags: true,
    // allowClear: true,
    // minimumInputLength: 3,
    ajax: {
        // url: '/companies/company_select2',
        url: '/companies/company_select2',
        dataType: 'json',
        data: function(term){
            return{
                term: term
            };
        },
        processResults: function (data) {
            return {
                results: $.map(data, function (item) {
                    return {
                        text: item.company_name,
                        // slug: item.slug,
                        id: item.company_name
                    }
                })
            };
        }
    }
});

$('.edit_meeting').on('click', function(){
    var id = $(this).data('id')
    $('.loader').show()
    $.ajax({
        url: '/network_trackers/'+id+'/edit',
        url: '/network_trackers/'+id+'/edit',
        method: 'get',
        dataType: 'script',
        success: function(data){
            $('.loader').hide()
            // $('#meeting-info').modal('hide')
            console.log("====success===")
        },
        failure: function(data){
            $('.loader').hide()
            console.log("====failure===")
        }
    })
})
delete_meeting();
clear_network_search();
